| QxOrm 1.4.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes
qx::dao::detail::QxSqlIsNull Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::detail::QxSqlIsNull : SQL element to verify if a value is null or not null (IS NULL, IS NOT NULL) More...

`#include <QxSqlIsNull.h>`

Inheritance diagram for qx::dao::detail::QxSqlIsNull:

List of all members.

## Public Types
enum | type { _is_null, _is_not_null }
## Public Member Functions
| QxSqlIsNull ()
| QxSqlIsNull (int index, QxSqlIsNull::type t)
virtual | ~QxSqlIsNull ()
virtual QString | toString () const
virtual void | resolve (QSqlQuery &query) const
virtual void | postProcess (QString &sql) const
virtual IxSqlElement::type_class | getTypeClass () const
## Protected Member Functions
virtual QString | getExtraSettings () const
virtual void | setExtraSettings (const QString &s)
## Protected Attributes
QxSqlIsNull::type | m_type

## Detailed Description

qx::dao::detail::QxSqlIsNull : SQL element to verify if a value is null or not null (IS NULL, IS NOT NULL)

Definition at line 56 of file QxSqlIsNull.h.

## Member Enumeration Documentation

enum qx::dao::detail::QxSqlIsNull::type

Enumerator:

  _is_null |
  _is_not_null |

Definition at line 61 of file QxSqlIsNull.h.

## Constructor & Destructor Documentation

qx::dao::detail::QxSqlIsNull::QxSqlIsNull | ( |  | ) |

qx::dao::detail::QxSqlIsNull::QxSqlIsNull | ( | int | index,
|  | QxSqlIsNull::type | t
| ) |  |

virtual qx::dao::detail::QxSqlIsNull::~QxSqlIsNull | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QString qx::dao::detail::QxSqlIsNull::getExtraSettings | ( |  | ) | const`[protected, virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual IxSqlElement::type_class qx::dao::detail::QxSqlIsNull::getTypeClass | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlIsNull::postProcess | ( | QString & | sql | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlIsNull::resolve | ( | QSqlQuery & | query | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlIsNull::setExtraSettings | ( | const QString & | s | ) | `[protected, virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual QString qx::dao::detail::QxSqlIsNull::toString | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

## Member Data Documentation

QxSqlIsNull::type qx::dao::detail::QxSqlIsNull::m_type`[protected]`

Definition at line 65 of file QxSqlIsNull.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlElement/QxSqlIsNull.h